当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [分享]打造kde3+kde4共同存在的工作环境(7楼有比较稳妥的做法)
帖子发表于 : 2008-01-31 11:21 
头像

注册: 2007-09-16 8:29
帖子: 14252
送出感谢: 172
接收感谢: 271
首先声明:此方法新手慎用!!
然后声明:不喜欢也不要骂我。
最后声明:我不喜欢命令行操作,所以很多操作是在图形界面下做的。
还要声明:我的做法还不成熟,需要各位高手协助我完善。


下面开始:

1,先说一下目标:是在kde4的基础上,使用kde3的菜单和面板,并且方便的调用kde3 的程序。

2,再说一下原理(个人理解)

其实,linux桌面环境和windows是有本质上的区别的,linux的桌面其实是独立于核心之外的,是一个一个的程序。只要我们从kde3和kde4里面分别选择我们需要的桌面构件分别启动,就能将kde3和kde4合并起来,形成一个独特的桌面环境。

这里,有几个关键的文件:

一个是:/usr/share/xsessions/ 这个目录下的扩展名为desktop的文件;有多个,其实这是文本文件,用于在kdm或gdm里面生成选择菜单。安装可kde3和kde4以后,这里会形成kde.desktop和kde4.desktop两个,我们需要按照他们的样子再造一个。

另外一个是上面文件中“Exec=/usr/lib/kde_all/startkde”这一行提到的一个shell命令文件,用于调入一个一个的程序,形成桌面、菜单、状态栏等。我们也需要再造一个。

3,我现在的实现过程:
(请先保证已经同时安装好了kde4和kde3)
代码:
kdesu d3lphin /usr/share/xsessions/


打开一个窗口,然后复制kde4.desktop,直接粘贴,粘贴时要求改名,改名为:kde_all.desktop

右击kde_all.desktop,选择“打开方式”,然后在新窗口输入“kate”,打开,编辑成以下内容,然后保存:
引用:
[Desktop Entry]
Encoding=UTF-8
Type=XSession
Exec=/usr/lib/kde_all/startkde
TryExec=/usr/lib/kde_all/startkde
Name=KDE 3+4
Name[hi]=केडीई
Name[mn]=КДЭ
Name[ta]=Kஏற்றக் காவலன்
Name[xh]=iKDE
Name[xx]=xxKDExx
Comment=The K Desktop Environment. A powerful Open Source graphical desktop environment
Comment[bs]=K Desktop Environment. Moćan grafički desktop otvorenog izvornog koda
Comment[ca]=L'entorn d'escriptori K. Un poderós entorn d'escriptori gràfic de Codi Font Obert
Comment[cy]=Yr Amgylchedd Penbwrdd K. Amgylchedd penbwrdd graffegol pwerus, sy'n gôd-agored.
Comment[da]=K Skrivebordsmiljøet. Et kraftigt, åbent, grafisk skrivebordsmiljø
Comment[de]=Das K Desktop Environment. Eine mächtige, graphische Arbeitsumgebung und Open Source / Freie Software
Comment[el]=Το K Desktop Environment. Ένα πανίσχυρο ελεύθερης προέλευσης γραφικό περιβάλλον επιφάνειας εργασίας
Comment[es]=El Entorno de Escritorio K, un potente entorno de escritorio gráfico realizado de código abierto
Comment[et]=K töölaua keskkond on võimas vaba tarkvara graafiline töölaua keskkond
Comment[fi]=KDE-työpöytäympäristö (K Desktop Environment) on tehokas avoimen lähdekoodin graafinen työpöytäympäristö
Comment[fr]=The K Desktop Environment. Un environnement de bureau graphique, puissant et Open Source
Comment[he]=The K Desktop Environment. סביבת עבודה גרפית, בעלת-עוצמה בקוד פתוח
Comment[hi]=के डेस्कटॉप वातावरण. एक शक्तिशाली, ओपन सोर्स चित्रमय डेस्कटॉप वातावरण
Comment[hu]=A KDE grafikus munkakörnyezet, egy szabad forráskódú grafikus ablakkezelő környezet
Comment[it]=L'ambiente desktop KDE. Un potente ambiente desktop grafico Open Source
Comment[mn]=The K Desktop Environment. Хүчирхэг нээлттэй эх код бүхий график дэлгэцийн орчин
Comment[nb]=K Desktop Environment. Et kraftig grafisk skrivebordsmiljø med åpen kildekode.
Comment[nl]=De K Desktop Environment, een krachtige open source grafische desktop environment
Comment[nn]=K Desktop Environment. Eit kraftig grafisk skrivebordsmiljø med open kjeldekode.
Comment[pl]=Środowisko KDE. Potężne środowisko graficzne Wolnego Oprogramowania.
Comment[pt]=O K Desktop Environment. Um ambiente gráfico open source poderoso
Comment[pt_BR]=Acrônimo para K Desktop Environment (ou Ambiente de Trabalho K). Um poderoso ambiente de trabalho gráfico de código aberto
Comment[ro]=K Desktop Environment. Un mediu grafic cu surse deschise, foarte puternic
Comment[sk]=The K Desktop Environment. Výkonné, voľne šíriteľné grafické pracovné prostredie
Comment[sl]=Namizno okolje K. Zmogljivo grafično namizno okolje odprte kode
Comment[sr]=K Desktop Environment (KDE). Моћно графичко радно окружење отвореног кода
Comment[sv]=K-skrivbordsmiljön. En kraftfull grafisk skrivbordsmiljö med öppen källkod
Comment[ta]= Kமேல்மேசை சூழல். சக்திவாய்ந்த திறந்த ஆணைமூல சித்திர வகை மேல்மேசை சூழல்
Comment[tr]=KDE Masaüstü Yöneticisi. Güçlü bir grafiksel masaüstü ortamı
Comment[uk]=The K Desktop Environment. Потужне графічне середовище з відкритими текстами
Comment[uz]=KDE (K Desktop Environment) - кучли Open Source график иш столи муҳити
Comment[vi]=môi trường desktop K, môi trường desktop đồ hoạ mã nguồn mở rất mạnh
Comment[xx]=xxThe K Desktop Environment. A powerful Open Source graphical desktop environmentxx
Comment[zh_CN]=K 桌面环境。强大的开放源代码图形桌面环境


然后在打开的窗口中转换到:/usr/lib/
右键单击,选择“新建---文件夹”,建立一个叫“kde_all”的文件夹,进入此文件夹,右键,“新建--文本文件”,建立一个文本文件,名字叫“startkde”,然后右键,“属性”,加上“可执行”属性,右键,选择“打开方式----kate”,打开,输入一下内容,保存。
引用:
#!/bin/bash
export LD_LIBRARY_PATH=/usr/lib/kde4/lib
export KDEDIRS=/usr/lib/kde4
export PATH=/usr/lib/kde4/bin/:$PATH
#!/bin/sh
#!/bin/sh
#
# DEFAULT KDE STARTUP SCRIPT ( KDE-3.5.8 )
#

# When the X server dies we get a HUP signal from xinit. We must ignore it
# because we still need to do some cleanup.
trap 'echo GOT SIGHUP' HUP

# Check if a KDE session already is running
if kcheckrunning >/dev/null 2>&1; then
echo "KDE seems to be already running on this display."
xmessage -geometry 500x100 "KDE seems to be already running on this display." > /dev/null 2>/dev/null
exit 1
fi

# Set the background to plain grey.
# The standard X background is nasty, causing moire effects and exploding
# people's heads. We use colours from the standard KDE palette for those with
# palettised displays.
if test -z "$XDM_MANAGED" || echo "$XDM_MANAGED" | grep ",auto" > /dev/null; then
xsetroot -solid "#618DCC"
fi

# we have to unset this for Darwin since it will screw up KDE's dynamic-loading
unset DYLD_FORCE_FLAT_NAMESPACE

# Check if prelinking is enabled. If so, exporting KDE_IS_PRELINKED improves
# loading KDE.
if test -f /etc/default/prelink; then
. /etc/default/prelink
if [ "$PRELINKING" == yes ]; then
export KDE_IS_PRELINKED=1
fi
fi

# in case we have been started with full pathname spec without being in PATH
bindir=`echo "$0" | sed -n 's,^\(/.*\)/[^/][^/]*$,\1,p'`
if [ -n "$bindir" ]; then
case $PATH in
$bindir|$bindir:*|*:$bindir|*:$bindir:*) ;;
*) PATH=$bindir:$PATH; export PATH;;
esac
fi

# Boot sequence:
#
# kdeinit is used to fork off processes which improves memory usage
# and startup time.
#
# * kdeinit starts the dcopserver and klauncher first.
# * Then kded is started. kded is responsible for keeping the sycoca
# database up to date. When an up to date database is present it goes
# into the background and the startup continues.
# * Then kdeinit starts kcminit. kcminit performs initialisation of
# certain devices according to the user's settings
#
# * Then ksmserver is started which takes control of the rest of the startup sequence

# The user's personal KDE directory is usually ~/.kde, but this setting
# may be overridden by setting KDEHOME.

kdehome=$HOME/.kde
test -n "$KDEHOME" && kdehome=`echo "$KDEHOME"|sed "s,^~/,$HOME/,"`

# see kstartupconfig source for usage
mkdir -m 700 -p $kdehome
mkdir -m 700 -p $kdehome/share
mkdir -m 700 -p $kdehome/share/config
cat >$kdehome/share/config/startupconfigkeys <<EOF
kcminputrc Mouse cursorTheme ''
kcminputrc Mouse cursorSize ''
kpersonalizerrc General FirstLogin true
ksplashrc KSplash Theme Default
kcmrandrrc Display ApplyOnStartup false
kcmrandrrc [Screen0]
kcmrandrrc [Screen1]
kcmrandrrc [Screen2]
kcmrandrrc [Screen3]
kcmfonts General forceFontDPI 0
EOF
kstartupconfig
if test $? -ne 0; then
xmessage -geometry 500x100 "Could not start kstartupconfig. Check your installation."
fi
. $kdehome/share/config/startupconfig

# XCursor mouse theme needs to be applied here to work even for kded or ksmserver
if test -n "$kcminputrc_mouse_cursortheme" -o -n "$kcminputrc_mouse_cursorsize" ; then
kapplymousetheme "$kcminputrc_mouse_cursortheme" "$kcminputrc_mouse_cursorsize"
if test $? -eq 10; then
export XCURSOR_THEME=default
elif test -n "$kcminputrc_mouse_cursortheme"; then
export XCURSOR_THEME="$kcminputrc_mouse_cursortheme"
fi
if test -n "$kcminputrc_mouse_cursorsize"; then
export XCURSOR_SIZE="$kcminputrc_mouse_cursorsize"
fi
fi

if test "$kcmrandrrc_display_applyonstartup" = "true"; then
# 4 screens is hopefully enough
for scrn in 0 1 2 3; do
args=
width="\$kcmrandrrc_screen${scrn}_width" ; eval "width=$width"
height="\$kcmrandrrc_screen${scrn}_height" ; eval "height=$height"
if test -n "${width}" -a -n "${height}"; then
args="$args -s ${width}x${height}"
fi
refresh="\$kcmrandrrc_screen${scrn}_refresh" ; eval "refresh=$refresh"
if test -n "${refresh}"; then
args="$args -r ${refresh}"
fi
rotation="\$kcmrandrrc_screen${scrn}_rotation" ; eval "rotation=$rotation"
if test -n "${rotation}"; then
case "${rotation}" in
0)
args="$args -o 0"
;;
90)
args="$args -o 1"
;;
180)
args="$args -o 2"
;;
270)
args="$args -o 3"
;;
esac
fi
reflectx="\$kcmrandrrc_screen${scrn}_reflectx" ; eval "reflectx=$reflectx"
if test "${refrectx}" = "true"; then
args="$args -x"
fi
reflecty="\$kcmrandrrc_screen${scrn}_reflecty" ; eval "reflecty=$reflecty"
if test "${refrecty}" = "true"; then
args="$args -y"
fi
if test -n "$args"; then
xrandr $args
fi
done
fi

dl=$DESKTOP_LOCKED
unset DESKTOP_LOCKED # Don't want it in the environment

# Launch splash that doesn't need any KDE libraries here, before
# KDE libraries are loaded into memory (which may take some time
# with cold caches). Makes the splash appear sooner.
# If kpersonalizer needs to be run splash will be started only later.
if test -z "$dl" && test "$kpersonalizerrc_general_firstlogin" != "true"; then
case "$ksplashrc_ksplash_theme" in
Simple)
ksplashsimple
;;
*)
;;
esac
fi

if test "$kcmfonts_general_forcefontdpi" -eq 120; then
xrdb -quiet -merge -nocpp <<EOF
Xft.dpi: 120
EOF
elif test "$kcmfonts_general_forcefontdpi" -eq 96; then
xrdb -quiet -merge -nocpp <<EOF
Xft.dpi: 96
EOF
fi

# configuration of the gtk_qt_engine if not already set

if [ ! -e $kdehome/env/gtk-qt-engine.rc.sh ] && [ -e /usr/share/kubuntu-default-settings/gtk-qt-engine.rc.sh ]
then
mkdir -p $kdehome/env
cp -f /usr/share/kubuntu-default-settings/gtk-qt-engine.rc.sh $kdehome/env
chmod 755 $kdehome/env/gtk-qt-engine.rc.sh
fi

if [ ! -e $HOME/.gtkrc-2.0-kde ] && [ -e /usr/share/kubuntu-default-settings/.gtkrc-2.0-kde ]
then
cp -f /usr/share/kubuntu-default-settings/.gtkrc-2.0-kde $HOME
fi

# Source scripts found in <localprefix>/env/*.sh and <prefixes>/env/*.sh
# (where <localprefix> is $KDEHOME or ~/.kde, and <prefixes> is where KDE is installed)
#
# This is where you can define environment variables that will be available to
# all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
# or eval `gpg-agent --daemon`.
# Note: if you do that, you should also put "ssh-agent -k" as a shutdown script
#
# (see end of this file).
# For anything else (that doesn't set env vars, or that needs a window manager),
# better use the Autostart folder.

exepath=`kde-config --path exe | tr : '\n'`

for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'`; do
for file in "$prefix"*.sh; do
test -r "$file" && . "$file"
done
done

# Activate the kde font directories.
#
# There are 4 directories that may be used for supplying fonts for KDE.
#
# There are two system directories. These belong to the administrator.
# There are two user directories, where the user may add her own fonts.
#
# The 'override' versions are for fonts that should come first in the list,
# i.e. if you have a font in your 'override' directory, it will be used in
# preference to any other.
#
# The preference order looks like this:
# user override, system override, X, user, system
#
# Where X is the original font database that was set up before this script
# runs.

usr_odir=$HOME/.fonts/kde-override
usr_fdir=$HOME/.fonts

# Add any user-installed font directories to the X font path
kde_fontpaths=$usr_fdir/fontpaths
do_usr_fdir=1
do_usr_odir=1
if test -r "$kde_fontpaths" ; then
savifs=$IFS
IFS="
"
for fpath in `grep -v '^[ ]*#' < "$kde_fontpaths"` ; do
rfpath=`echo $fpath | sed "s:^~:$HOME:g"`
if test -s "$rfpath"/fonts.dir; then
xset fp+ "$rfpath"
if test "$rfpath" = "$usr_fdir"; then
do_usr_fdir=0
fi
if test "$rfpath" = "$usr_odir"; then
do_usr_odir=0
fi
fi
done
IFS=$savifs
fi

if test -n "$KDEDIRS"; then
kdedirs_first=`echo "$KDEDIRS"|sed -e 's/:.*//'`
sys_odir=$kdedirs_first/share/fonts/override
sys_fdir=$kdedirs_first/share/fonts
else
sys_odir=$KDEDIR/share/fonts/override
sys_fdir=$KDEDIR/share/fonts
fi

# We run mkfontdir on the user's font dirs (if we have permission) to pick
# up any new fonts they may have installed. If mkfontdir fails, we still
# add the user's dirs to the font path, as they might simply have been made
# read-only by the administrator, for whatever reason.

# Only do usr_fdir and usr_odir if they are *not* listed in fontpaths
test -d "$sys_odir" && xset +fp "$sys_odir"
test $do_usr_odir -eq 1 && test -d "$usr_odir" && (mkfontdir "$usr_odir" ; xset +fp "$usr_odir")
test $do_usr_fdir -eq 1 && test -d "$usr_fdir" && (mkfontdir "$usr_fdir" ; xset fp+ "$usr_fdir")
test -d "$sys_fdir" && xset fp+ "$sys_fdir"

# Ask X11 to rebuild its font list.
xset fp rehash

# Set a left cursor instead of the standard X11 "X" cursor, since I've heard
# from some users that they're confused and don't know what to do. This is
# especially necessary on slow machines, where starting KDE takes one or two
# minutes until anything appears on the screen.
#
# If the user has overwritten fonts, the cursor font may be different now
# so don't move this up.
#
xsetroot -cursor_name left_ptr

# Get Ghostscript to look into user's KDE fonts dir for additional Fontmap
if test -n "$GS_LIB" ; then
GS_LIB=$usr_fdir:$GS_LIB
export GS_LIB
else
GS_LIB=$usr_fdir
export GS_LIB
fi

# Link "tmp" "socket" and "cache" resources to directory in /tmp
# Creates:
# - a directory /tmp/kde-$USER and links $KDEHOME/tmp-$HOSTNAME to it.
# - a directory /tmp/ksocket-$USER and links $KDEHOME/socket-$HOSTNAME to it.
# - a directory /var/tmp/kdecache-$USER and links $KDEHOME/cache-$HOSTNAME to it.
# Note: temporary locations can be overriden through the KDETMP and KDEVARTMP
# environment variables
for resource in tmp cache socket; do
if ! lnusertemp $resource >/dev/null; then
echo 'startkde: Call to lnusertemp failed (temporary directories full?). Check your installation.' 1>&2
xmessage -geometry 600x100 "Call to lnusertemp failed (temporary directories full?). Check your installation."
exit 1
fi
done

# In case of dcop sockets left by a previous session, cleanup
dcopserver_shutdown

echo 'startkde: Starting up...' 1>&2

# run KPersonalizer before the session, if this is the first login
if test "$kpersonalizerrc_general_firstlogin" = "true"; then
if [ ! -x /usr/bin/kpersonalizer ]; then
echo 'startkde: kpersonalizer not found! Please install to properly configure your user.' 1>&2
else
# start only dcopserver, don't start whole kdeinit (takes too long)
echo 'startkde: Running kpersonalizer...' 1>&2
dcopserver
kwin --lock &
kpersonalizer --before-session
# handle kpersonalizer restarts (language change)
while test $? -eq 1; do
kpersonalizer --r --before-session
done
dcopquit kwin
dcopserver_shutdown --wait
fi
fi

#remove moodin cache if we have a new wallpaper installed, jriddell
if [ /usr/share/wallpapers/kubuntu-wallpaper.png -nt $kdehome/share/apps/ksplash/cache/Moodin/kubuntu/ ]; then
rm -rf $kdehome/share/apps/ksplash/cache/Moodin/kubuntu/;
fi

if test -z "$dl"; then
# the splashscreen and progress indicator
case "$ksplashrc_ksplash_theme" in
None)
;; # nothing
Simple)
if test "$kpersonalizerrc_general_firstlogin" = "true"; then
ksplashsimple
fi # otherwise started earlier
;;
*)
ksplash --nodcop
;;
esac
fi

# Mark that full KDE session is running (e.g. Konqueror preloading works only
# with full KDE running). The KDE_FULL_SESSION property can be detected by
# any X client connected to the same X session, even if not launched
# directly from the KDE session but e.g. using "ssh -X", kdesu. $KDE_FULL_SESSION
# however guarantees that the application is launched in the same environment
# like the KDE session and that e.g. KDE utilities/libraries are available.
# KDE_FULL_SESSION property is also only available since KDE 3.5.5.
# The matching tests are:
# For $KDE_FULL_SESSION:
# if test -n "$KDE_FULL_SESSION"; then ... whatever
# For KDE_FULL_SESSION property:
# xprop -root | grep "^KDE_FULL_SESSION" >/dev/null 2>/dev/null
# if test $? -eq 0; then ... whatever
#
# Additionally there is (since KDE 3.5.7) $KDE_SESSION_UID with the uid
# of the user running the KDE session. It should be rarely needed (e.g.
# after sudo to prevent desktop-wide functionality in the new user's kded).
#
KDE_FULL_SESSION=true
export KDE_FULL_SESSION
xprop -root -f KDE_FULL_SESSION 8t -set KDE_FULL_SESSION true
KDE_SESSION_UID=$UID
export KDE_SESSION_UID

# We set LD_BIND_NOW to increase the efficiency of kdeinit.
# kdeinit unsets this variable before loading applications.
LD_BIND_NOW=true start_kdeinit_wrapper --new-startup +kcminit_startup
if test $? -ne 0; then
# Startup error
echo 'startkde: Could not start kdeinit. Check your installation.' 1>&2
xmessage -geometry 500x100 "Could not start kdeinit. Check your installation."
fi

# If the session should be locked from the start (locked autologin),
# lock now and do the rest of the KDE startup underneath the locker.
if test -n "$dl"; then
kwrapper kdesktop_lock --forcelock &
# Give it some time for starting up. This is somewhat unclean; some
# notification would be better.
sleep 1
fi

# configuration of kwalletmanager if not already set

if [ ! -e $kdehome/share/config/kwalletrc ] && [ -e /usr/share/kubuntu-default-settings/kde-profile/default/share/config/kwalletrc ]
then
mkdir -p "$kdehome/share/config/"
cp -f /usr/share/kubuntu-default-settings/kde-profile/default/share/config/kwalletrc $kdehome/share/config/
fi


# finally, give the session control to the session manager
# see kdebase/ksmserver for the description of the rest of the startup sequence
# if the KDEWM environment variable has been set, then it will be used as KDE's
# window manager instead of kwin.
# if KDEWM is not set, ksmserver will ensure kwin is started.
# kwrapper is used to reduce startup time and memory usage
# kwrapper does not return usefull error codes such as the exit code of ksmserver.
# We only check for 255 which means that the ksmserver process could not be
# started, any problems thereafter, e.g. ksmserver failing to initialize,
# will remain undetected.
test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"
kwrapper ksmserver $KDEWM
if test $? -eq 255; then
# Startup error
echo 'startkde: Could not start ksmserver. Check your installation.' 1>&2
xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
fi

# wait if there's any crashhandler shown
while dcop | grep -q ^drkonqi- ; do
sleep 5
done

echo 'startkde: Shutting down...' 1>&2

# Clean up
kdeinit_shutdown
dcopserver_shutdown --wait
artsshell -q terminate

echo 'startkde: Running shutdown scripts...' 1>&2

# Run scripts found in $KDEDIRS/shutdown
for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'`; do
for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
test -x "$prefix$file" && "$prefix$file"
done
done

unset KDE_FULL_SESSION
xprop -root -remove KDE_FULL_SESSION
unset KDE_SESSION_UID

echo 'startkde: Done.' 1>&2



然后ctrl-alt-backspace,重新登录,登录时选择“kde3+4”。

4,最后可以修改~/.kde4/share/config/plasma-appletsrc,把其中
引用:
[Containments][2]
formfactor=2
geometry=0,968,1280,56
location=4
locked=false
plugin=panel
screen=0
transform=1,0,0,0,1,0,0,-1030,1


删除,去掉kde4难看的面板。
另外,由于现在用的kde4的主题,可能需要拷贝/usr/share/icon内的图标到/usr/lib/kde4/share/icon目录内。


_________________
闻到死太贵, 麦克价更高。 有了笨笨兔, 二者皆可抛。
+ 我的六轮折腾
+ 折腾6轮的结果(对40余种WM的测试和分析,多种DE和WM并存的方案)
+ 折腾的中间成果:可以独立运行的一个Wharf(图标化的启动菜单)
+ 强烈推荐----折腾的终极成果:一个自己开发的DE环境
+ 签名空闲链接位置招租


最后由 ljj_jjl2008 编辑于 2008-02-02 8:09,总共编辑了 4 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-01-31 12:06 
头像

注册: 2007-09-16 8:29
帖子: 14252
送出感谢: 172
接收感谢: 271
下面是实现以后的效果:
可以根据需要调整kde3面板位置、内容、样式等。


附件:
aaa.png
aaa.png [ 1.52 MiB | 被浏览 1116 次 ]



_________________
闻到死太贵, 麦克价更高。 有了笨笨兔, 二者皆可抛。
+ 我的六轮折腾
+ 折腾6轮的结果(对40余种WM的测试和分析,多种DE和WM并存的方案)
+ 折腾的中间成果:可以独立运行的一个Wharf(图标化的启动菜单)
+ 强烈推荐----折腾的终极成果:一个自己开发的DE环境
+ 签名空闲链接位置招租
页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-01-31 12:13 
头像

注册: 2006-10-21 12:03
帖子: 1746
地址: Shanghai
送出感谢: 0 次
接收感谢: 0 次
ljj_jjl2008 写道:
下面是实现以后的效果:
可以根据需要调整kde3面板位置、内容、样式等。


我只是想说:用不着那么麻烦...

启动 kde3,然后找到 plasma 的路径执行一下就可以了,根本用不着那么改......而且还可以随时杀掉 plasma。
:D

这个是我的图 :D 方便吧~

图片


_________________
.

私人空间
附有 Magic Linux 2.1 最新开发日志~
引用:


미안하다, 사랑한다




欢迎来 #xfce-cn 中文频道~~


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-01-31 16:14 

注册: 2006-09-16 14:19
帖子: 652
送出感谢: 0 次
接收感谢: 1
我现在用kde3的kicker+kde4的dolphin/konsole/kwrite/gwenview/ark...


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-01-31 16:25 
头像

注册: 2007-09-16 8:29
帖子: 14252
送出感谢: 172
接收感谢: 271
这是隐藏kde4状态栏以后的效果。


附件:
aaa.png
aaa.png [ 1.64 MiB | 被浏览 994 次 ]



_________________
闻到死太贵, 麦克价更高。 有了笨笨兔, 二者皆可抛。
+ 我的六轮折腾
+ 折腾6轮的结果(对40余种WM的测试和分析,多种DE和WM并存的方案)
+ 折腾的中间成果:可以独立运行的一个Wharf(图标化的启动菜单)
+ 强烈推荐----折腾的终极成果:一个自己开发的DE环境
+ 签名空闲链接位置招租
页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-01-31 16:27 
头像

注册: 2007-09-16 8:29
帖子: 14252
送出感谢: 172
接收感谢: 271
说明一下:我左边的状态栏可以自动隐藏


_________________
闻到死太贵, 麦克价更高。 有了笨笨兔, 二者皆可抛。
+ 我的六轮折腾
+ 折腾6轮的结果(对40余种WM的测试和分析,多种DE和WM并存的方案)
+ 折腾的中间成果:可以独立运行的一个Wharf(图标化的启动菜单)
+ 强烈推荐----折腾的终极成果:一个自己开发的DE环境
+ 签名空闲链接位置招租


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-02-02 8:08 
头像

注册: 2007-09-16 8:29
帖子: 14252
送出感谢: 172
接收感谢: 271
参考3楼的做法,作了一个批命令,在kde4中执行即可:
(任意文件夹内,右键,“新建--文本文件”,建立一个文本文件,随便取名,然后右键,“属性”,加上“可执行”属性)
代码:
killall klipper
killall plasma
killall kicker
killall kdesktop
kicker
kdesktop
sleep 5
killall kdesktop
plasma
sleep 2
klipper


修改~/.kde4/share/config/plasma-appletsrc,把下面内容删除,去掉kde4难看的面板。
引用:
[Containments][2]
formfactor=2
geometry=0,968,1280,56
location=4
locked=false
plugin=panel
screen=0
transform=1,0,0,0,1,0,0,-1030,1




我现在把1楼的方法废除了。

另外,由于现在用的kde4的主题,可能需要拷贝/usr/share/icon内的图标到/usr/lib/kde4/share/icon目录内,否则可能kde3的菜单图标显示不全。


_________________
闻到死太贵, 麦克价更高。 有了笨笨兔, 二者皆可抛。
+ 我的六轮折腾
+ 折腾6轮的结果(对40余种WM的测试和分析,多种DE和WM并存的方案)
+ 折腾的中间成果:可以独立运行的一个Wharf(图标化的启动菜单)
+ 强烈推荐----折腾的终极成果:一个自己开发的DE环境
+ 签名空闲链接位置招租


最后由 ljj_jjl2008 编辑于 2008-02-02 9:37,总共编辑了 2 次

页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-02-02 8:33 

注册: 2007-04-10 20:37
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
共同存在用Gentoo贝 :)


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-02-03 15:46 
头像

注册: 2006-10-24 15:46
帖子: 245
送出感谢: 0 次
接收感谢: 1
仍然不是个好的解决办法,把KDE4换成KDE3的样子显然是失败。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译